Package org.apache.catalina.tribes

# Interface MembershipProvider

All Known Implementing Classes:
  `CloudMembershipProvider`, `DNSMembershipProvider`, `KubernetesMembershipProvider`, `McastServiceImpl`, `MembershipProviderBase`, `StaticMembershipProvider`

public interface MembershipProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Member`
  `getMember(Member mbr)`
  `Member[]`
  `getMembers()`
  `boolean`
  `hasMembers()`
  `void`
  `init(Properties properties)`
  `void`
  `setMembershipListener(MembershipListener listener)`
  `void`
  `setMembershipService(MembershipService service)`
  `void`
  `start(int level)`
  `boolean`
  `stop(int level)`

- ## Method Details

  - ### init

    void init(Properties properties) throws Exception
    Throws:
      `Exception`

  - ### start

    void start(int level) throws Exception
    Throws:
      `Exception`

  - ### stop

    boolean stop(int level) throws Exception
    Throws:
      `Exception`

  - ### setMembershipListener

    void setMembershipListener(MembershipListener listener)

  - ### setMembershipService

    void setMembershipService(MembershipService service)

  - ### hasMembers

    boolean hasMembers()

  - ### getMember

    Member getMember(Member mbr)

  - ### getMembers

    Member[] getMembers()